org.eclipse.viatra.transformation.tracer

## Class TraceCoder

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.adapter.AbstractEVMListener
  - - org.eclipse.viatra.transformation.tracer.TraceCoder

- All Implemented Interfaces:
    IEVMListener

      public class TraceCoder
      extends AbstractEVMListener

  Adapter implementation that creates transformation traces based on the ongoing transformation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceCoder(IActivationCoder activationCoder, ITraceModelSerializer serializer)`
    `TraceCoder(IActivationCoder activationCoder, org.eclipse.emf.common.util.URI location)`
    `TraceCoder(org.eclipse.emf.common.util.URI location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeFiring(Activation<?> activation)`
    `void` | `endTransaction(java.lang.String transactionID)`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.adapter.AbstractEVMListener

      `activationChanged, activationCreated, activationRemoved, addedRule, afterFiring, disposeListener, initializeListener, removedRule, startTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceCoder

          public TraceCoder(IActivationCoder activationCoder,
                            ITraceModelSerializer serializer)

    - #### TraceCoder

          public TraceCoder(IActivationCoder activationCoder,
                            org.eclipse.emf.common.util.URI location)

    - #### TraceCoder

          public TraceCoder(org.eclipse.emf.common.util.URI location)

  - ### Method Detail

    - #### beforeFiring

          public void beforeFiring(Activation<?> activation)

      Specified by:
        `beforeFiring` in interface `IEVMListener`
      Overrides:
        `beforeFiring` in class `AbstractEVMListener`

    - #### endTransaction

          public void endTransaction(java.lang.String transactionID)

      Specified by:
        `endTransaction` in interface `IEVMListener`
      Overrides:
        `endTransaction` in class `AbstractEVMListener`